com.ibm.openpages.api.search

## Class SearchFacetOptions

- java.lang.Object
- - com.ibm.openpages.api.search.SearchFacetOptions

-     public class SearchFacetOptions
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SearchFacetOptions()` Constructs a SearchFacetOptions object that will hold various facet search data.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<DateFacetParam>` | `getDates()` Get the facet value(s) for date(s).
    `java.lang.String` | `getFolderPath()` Get the facet value for folder path.
    `java.util.List<Id>` | `getMimeTypeIDs()` Get the facet value for MIME type.
    `java.util.List<Id>` | `getObjectTypeIDs()` Get the facet value for object-types.
    `java.util.List<UserFacetParam>` | `getUsers()` Get the facet value(s) for user(s).
    `void` | `setDates(java.util.List<DateFacetParam> dates)` Set the facet value(s) for date(s).
    `void` | `setFolderPath(java.lang.String folderPath)` Set the facet value for folder path.
    `void` | `setMimeTypeIDs(java.util.List<Id> mimeTypeIDs)` Set the facet value for MIME type.
    `void` | `setObjectTypes(java.util.List<Id> objectTypeIDs)` Set the facet value for object-types.
    `void` | `setUsers(java.util.List<UserFacetParam> users)` Set the facet value(s) for user(s).
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SearchFacetOptions

          public SearchFacetOptions()

      Constructs a SearchFacetOptions object that will hold various facet search data.

  - ### Method Detail

    - #### getObjectTypeIDs

          public java.util.List<Id> getObjectTypeIDs()

      Get the facet value for object-types.
      Returns:
        List of object-type IDs

    - #### setObjectTypes

          public void setObjectTypes(java.util.List<Id> objectTypeIDs)

      Set the facet value for object-types.
      Parameters:
        `objectTypeIDs` - List of object-type IDs.

    - #### getUsers

          public java.util.List<UserFacetParam> getUsers()

      Get the facet value(s) for user(s).
      Returns:
        List of facet user(s).

    - #### setUsers

          public void setUsers(java.util.List<UserFacetParam> users)

      Set the facet value(s) for user(s).
      Parameters:
        `users` - The user(s) facet.

    - #### getDates

          public java.util.List<DateFacetParam> getDates()

      Get the facet value(s) for date(s).
      Returns:
        List of facet date(s).

    - #### setDates

          public void setDates(java.util.List<DateFacetParam> dates)

      Set the facet value(s) for date(s).
      Parameters:
        `dates` - The date(s) facet.

    - #### getFolderPath

          public java.lang.String getFolderPath()

      Get the facet value for folder path.
      Returns:
        The folder path.

    - #### setFolderPath

          public void setFolderPath(java.lang.String folderPath)

      Set the facet value for folder path.
      Parameters:
        `folderPath` - The folder path.

    - #### getMimeTypeIDs

          public java.util.List<Id> getMimeTypeIDs()

      Get the facet value for MIME type.
      Returns:
        List of MIME type IDs

    - #### setMimeTypeIDs

          public void setMimeTypeIDs(java.util.List<Id> mimeTypeIDs)

      Set the facet value for MIME type.
      Parameters:
        `mimeTypeIDs` - The MIME type IDs.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2021. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.